# ArrayIterator::uasort

(PHP 5 >= 5.2.0, PHP 7)

ArrayIterator::uasort — Sort with a user-defined comparison function and maintain index association

### Description

public ArrayIterator::uasort ( callable `$cmp_function` ) : void

This method sorts the elements such that indices maintain their correlation with the values they are associated with, using a user-defined comparison function.

> Note:

> If two members compare as equal, their relative order in the sorted array is undefined.

### Parameters

`cmp_function`

  The comparison function must return an integer less than, equal to, or greater than zero if the first argument is considered to be respectively less than, equal to, or greater than the second. Note that before PHP 7.0.0 this integer had to be in the range from -2147483648 to 2147483647.

  callback ( mixed `$a`, mixed `$b` ) : int

### Return Values

No value is returned.

### See Also

- ArrayIterator::asort() - Sort array by values
- ArrayIterator::uksort() - Sort by keys using a user-defined comparison function
- usort() - Sort an array by values using a user-defined comparison function